.sliding-menu {

    display: flex;
    flex-direction: column;
    position: fixed;
    top: 0;
    left: -605px;
    width: 605px;
    height: 100vh;
    transition: left 1s ease;
    z-index: 1001;

    #sliding-window-trigger {
        gap: 10px;

        label {
            font-weight: 300 !important;
        }
    }

}

.sliding-menu-content {
    background-color: #fff;
    height: 100%;
    z-index: 1;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.sliding-menu-backdrop {
    transition: all 1s ease;
    opacity: 0;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    visibility: hidden;
}

.open .sliding-menu-backdrop {
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 0;
    opacity: 1;
    transition: all 1s ease;
    visibility: visible;
}

.sliding-menu::after {
    content: '';
}

.sliding-menu.open {
    left: 0;
}

.sliding-menu-container {
    height: 100%;
    display: flex;
    align-items: center;

    .boutique-link {
        font-weight: 300 !important;

    }

    .boutique-link:hover {
        color: black;
    }

    .sliding-window-trigger {
        label {
            font-weight: 300 !important;
        }
    }
}


#sliding-menu-trigger {
    color: #fff;
    cursor: pointer;
    background: transparent !important;
    padding: 0 !important;
    border: 0 !important;
    height: min-content !important;
    display: flex;
    align-items: center;
    gap: 10px;

    span {
        margin-top: 3.5px;
    }

    label {
        cursor: pointer;
    }
}

.close-sliding-menu {
    height: 22px !important;
}

.container-close-sliding-menu {
    display: flex;
    justify-content: flex-end;
    padding: 40px 40px 20px;

    button {
        background-color: transparent;
        background: transparent;
        border: none;
        padding: 0;
    }

    button:hover {
        background-color: transparent;
        background: transparent;
    }


    button:focus {
        background: none !important;
        border: none !important;
    }
}


/* Style the expand button */
.expand-btn {
    margin-left: 10px;
    cursor: pointer;
    font-size: 12px;
    color: #333;
    transition: opacity 0.3s ease, visibility 0.3s ease;
}

.menu-link {
    min-width: 40%;
    font-size: 16px !important;
    font-weight: 600 !important;
    color: #000000 !important;
}


.menu-label {
    min-width: 40%;
    font-size: 16px !important;
    font-weight: 600;
}

.menu-item {
    list-style: none;
    padding: 5px 0px;
    display: flex;
    align-items: center;
    margin-left: 0 !important;
}

.menu-level {
    padding: 0;
}

#menu-heading {

    h2 {
        padding: 37.5px 0px !important;
        margin: 0;
    }

    a {
        font-size: 26px !important;
        font-weight: 500;
    }
}

.sliding-menu-wrapper {
    padding-left: 60px;
    padding-top: 68px;
    flex-grow: 1;
    overflow: auto;
}

.text-16 {
    font-size: 16px !important;
}

.gap-5 {
    gap: 10px;
}

.mb-5 {
    margin-bottom: 15px;
}

.menu-footer {
    padding-left: 60px;
    padding-top: 68px;
    padding-bottom: 60px;
    width: 100%;
}

.submenu {

    .menu-link {
        font-weight: 300 !important;
        min-width: auto;
    }

    .menu-label {
        font-weight: 300 !important;
        min-width: auto;
    }

}

.cdz-sidebar-backface {
    transition: all 1s ease;
}

#back-btn {
    cursor: pointer;
    font-size: 14px !important;

    svg {
        margin-right: 15px;
    }
}

/* Sliding menu wrapper */
.sliding-menu-wrapper {
    transition: opacity 1s ease, visibility 1s ease;
}

#sliding-menu .menu-level {
    transition: opacity 0.3s ease;
}

#sliding-menu.transitioning {
    pointer-events: none;
}

.menu-level {
    transition: opacity 300ms ease;
    will-change: opacity;
}


@media only screen and (min-width : 760px) and (max-width : 1024px) {
    .sliding-menu {
        width: 44%;
    }
}

@media only screen and (min-width : 768px) {

    /* Hide the expand button by default */
    .menu-item .expand-btn {
        opacity: 0;
        visibility: hidden;
        transition: opacity 0.3s ease, visibility 0.3s ease;
    }

    /* Show the expand button on hover */
    .menu-item:hover .expand-btn {
        opacity: 1;
        visibility: visible;
    }

    .min-sm-d-none {
        display: none;
    }


    .sliding-menu-content {
        padding: 20px;
    }

    .submenu {
        padding-top: 24px !important;
    }
}

@media only screen and (max-width : 700px) {

    #sliding-menu-trigger {
        padding: 20px 0px !important;
        font-weight: 600 !important;
        font-size: 16px !important;
        justify-content: start !important;

        span {
            display: none;
        }
    }

    .sliding-menu {
        width: 100%;
        left: -100%;

        #sliding-window-trigger {
            padding-bottom: 20px !important;
        }

        .menu-footer {
            border-top: solid 1px #e7e7e7
        }
    }

    .sliding-menu-wrapper {
        padding-left: 32px;
    }

    .sliding-menu-content {
        .menu-footer {
            padding: 25px 32px 100px 32px;
        }
    }

    .menu-link {
        min-width: auto;
    }

    .container-close-sliding-menu {
        padding: 34px 34px 0px 0px;
    }

}